
#include "ksmoothdock.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

static const char description[] =
    I18N_NOOP("A KDE KPart Application");

static const char version[] = "3.3";

static KCmdLineOptions options[] =
{
//    { "+[URL]", I18N_NOOP( "Document to open." ), 0 },
    KCmdLineLastOption
};

int main(int argc, char **argv)
{
    KAboutData about("ksmoothdock", I18N_NOOP("KSmoothDock"), version, description,
                     KAboutData::License_GPL, "(C) 2004 KSmoothDock team", 0, 0, "dangvd@yahoo.com");
    about.addAuthor( "KSmoothDock team", 0, "dangvd@yahoo.com" );
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication app;
    KSmoothDock *mainWin = 0;

    if (app.isRestored())
    {
        //RESTORE(KSmoothDock);
    }
    else
    {
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

        /// @todo do something with the command line args here

        mainWin = new KSmoothDock();
        app.setMainWidget( mainWin );
        mainWin->show();

        args->clear();
    }

    // mainWin has WDestructiveClose flag by default, so it will delete itself.
    return app.exec();
}

